<?php
/**
 * @link      http://github.com/zendframework/ZendSkeletonApplication for the canonical source repository
 * @copyright Copyright (c) 2005-2016 Zend Technologies USA Inc. (http://www.zend.com)
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 */

namespace Application\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;
use Khansia\Generic\Result;

class UmumController extends \Application\Master\GlobalActionController 
{
    public function __construct($headScript)
    {
        $this->headScript = $headScript;
    }

    public function indexAction()
    {
        $view   = new ViewModel();
        $result = new Result();

        // $today      = gmdate("d M Y ", time()+60*60*7);
        // $view->setVariable('today', $today);
        
        /* get url */
        $uri     = $this->getRequest()->getUri();
        $baseurl = sprintf('//%s', $uri->getHost());

        $this->headScript->appendScript(' var baseURL = "' . $baseurl . '"');        
        $this->headScript->appendFile('/action-js/tampilanantiran-js/action-pilihantrian.js');

        $this->layout("layout/layoutUmum");

        return $view;
    }
    public function umumtampilanAction()
    {
        $view   = new ViewModel();
        $result = new Result();
        

        $today      = gmdate("d M Y ", time()+60*60*7);
        $view->setVariable('today', $today);
        
        /* get url */
       $uri     = $this->getRequest()->getUri();
        $baseurl = sprintf('//%s', $uri->getHost());
        $getpath =  explode("/",$uri->getPath()); 
        // echo "<pre>";
       
        $decodeid = base64_decode($getpath[3]);

        
        // $curl = curl_init();
        
        // curl_setopt_array($curl, array(
        //   CURLOPT_URL => "http://queue.indra/api/loadantrian?id_poli=$decodeid",
        //   CURLOPT_RETURNTRANSFER => true,
        //   CURLOPT_ENCODING => "",
        //   CURLOPT_MAXREDIRS => 10,
        //   CURLOPT_TIMEOUT => 0,
        //   CURLOPT_FOLLOWLOCATION => true,
        //   CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        //   CURLOPT_CUSTOMREQUEST => "POST",
        //   CURLOPT_POSTFIELDS => array('id_poli' => $decodeid),
        // ));
        
        // $response = curl_exec($curl);
        
        // curl_close($curl);
        // // echo $response;



       $this->headScript->appendScript(' var baseURL = "' . $baseurl . '"');   
       $this->headScript->appendScript(' var id_poli = "' . $decodeid . '"');            
       $this->headScript->appendFile('/action-js/antrian-js/action-umumtampilan.js');

        $this->layout("layout/layoutUmum");
        return $view;
    }

    
}
